singularity(1)

NAME

singularity-key-newpair - Create a new key pair

SYNOPSIS

singularity key newpair

DESCRIPTION

The 'key newpair' command allows you to create a new key or public/private
  keys to be stored in the default user local keyring location (e.g.,
  $HOME/.singularity/sypgp).

OPTIONS

-b, --bit-length=4096
    specify key bit length

-C, --comment=""
    key comment

-E, --email=""
    key owner email

-h, --help[=false]
    help for newpair

-N, --name=""
    key owner name

-P, --password=""
    key password

-U, --push[=false]
    specify to push the public key to the remote keystore (default true)

EXAMPLE
      $ singularity key newpair
      $ singularity key newpair --password=psk --name=your-name --comment="key comment" --email=mail@email.com --push=false

SEE ALSO

singularity-key(1)

HISTORY

29-Oct-2024 Auto generated by spf13/cobra